//
//  FILEZ UNIT v0.1a for Delphi 2.0+ [6/10/99]
//  (c)1999 Pulsar Studio, all rights reserved.
//  Freeware. Developed by Lord Trancos.
//

{$A-}

unit FILEZ;

// --------------------------------------------------------------------

INTERFACE

function fOpenBinFile(_fn: string; var _f: file): boolean;
function fCreateBinFile(_fn: string; var _f: file): boolean;
function fLoadFile(_src: string; _dest: pointer): boolean;

IMPLEMENTATION

// --------------------------------------------------------------------

function fOpenBinFile(_fn: string; var _f: file): boolean;

begin
  Assign(_f, _fn);
  {$I-}
  FileMode := 0;
  Reset(_f, 1);
  {$I+}
  if (IOResult <> 0) and (_fn <> '') then
    fOpenBinFile := false else fOpenBinFile := true;
end;

// --------------------------------------------------------------------

function fCreateBinFile(_fn: string; var _f: file): boolean;

begin
  Assign(_f, _fn);
  {$I-}
  FileMode := 0;
  Rewrite(_f, 1);
  {$I+}
  if (IOResult <> 0) and (_fn <> '') then
    fCreateBinFile := false else fCreateBinFile := true;
end;

// --------------------------------------------------------------------

function fLoadFile(_src: string; _dest: pointer): boolean;

var _f : file;
    _s : longint;
    _r : boolean;

begin
  _r := false;
  if fOpenBinFile(_src, _f) = true then
    begin
      _s := FileSize(_f);
      {$I-}
      BlockRead(_f, _dest^, _s);
      {$I+}
      if (IOResult = 0) then _r := true;
      CloseFile(_f);
    end;
  fLoadFile := _r;
end;

// --------------------------------------------------------------------

end.
