{$A-}

unit jsrchu1;

// (c)1999 Pulsar Studio. Developed by Lord Trancos
//  Please, distribute the source code without any modification.

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls, StdCtrls, Menus, ShellAPI,
  Nihongo, Filez;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    ListView1: TListView;
    Button1: TButton;
    Button2: TButton;
    Bevel1: TBevel;
    Label1: TLabel;
    Edit1: TEdit;
    Bevel2: TBevel;
    Label2: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    Edit2: TEdit;
    Bevel3: TBevel;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Label3: TLabel;
    OpenDialog1: TOpenDialog;
    Panel2: TPanel;
    Edit3: TEdit;
    Panel3: TPanel;
    PaintBox1: TPaintBox;
    Panel4: TPanel;
    PaintBox2: TPaintBox;
    MainMenu1: TMainMenu;
    Menu1: TMenuItem;
    Menu4: TMenuItem;
    Menu3: TMenuItem;
    N1: TMenuItem;
    Panel5: TPanel;
    Menu5: TMenuItem;
    Menu6: TMenuItem;
    ComboBox1: TComboBox;
    Panel6: TPanel;
    Menu7: TMenuItem;
    Label4: TLabel;
    Button6: TButton;
    Menu8: TMenuItem;
    Menu2: TMenuItem;
    Button7: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Edit3Change(Sender: TObject);
    procedure PaintBox1Paint(Sender: TObject);
    procedure Edit3KeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure PaintBox2Paint(Sender: TObject);
    procedure Edit3KeyPress(Sender: TObject; var Key: Char);
    procedure Menu2Click(Sender: TObject);
    procedure Menu3Click(Sender: TObject);
    procedure Menu4Click(Sender: TObject);
    procedure Menu6Click(Sender: TObject);
    procedure Menu7Click(Sender: TObject);
    procedure Panel5Click(Sender: TObject);
    procedure Panel6Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Menu8Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

const
  VERS     = ' v0.1a BETA 3';
  DEFCFG   = 'jSrch.CFG';
  INDEXT   = '.IND';
  MAXDICTS = 20;
  MAXWORDS = 100;
  ERR00    = 'Can not create file: ';
  ERR01    = 'Can not open file: ';
  ERR02    = 'Error while initializing Nihongo Engine.' + #10 +
             '(Error loading ' + jJAPFNT + ' and ' + jASCFNT + '?)';
  ERR03    = 'Invalid output filename!';
  ERR04    = 'Viewer not found: ';
  ERR05    = 'A viewer is requiered!';
  TXT00    = 'Config file not found, please create one.';
  TXT01    = 'Too many dictionaries.';
  TXT02    = 'None selected.';
  TXT03    = 'No dictionaries selected!';
  TXT04    = 'Save completed.';
  TXT05    = 'Loading: ';
  TXT06    = 'PULSAR jSEARCHER';
  TXT07    = 'Nothing to search';
  TXT08    = 'No dictionaries loaded!';
  TXT09    = 'Error while creating file: ';
  TXT10    = 'Search (';
  TXT11    = ' word(s) in ' + #10;
  TXT12    = '] ';
  TXT13    = 'Searching in: ';
  TXT14    = ') of [';
  CAP00    = 'Configure jSearch';
  CAP01    = 'Output file:';
  CAP02    = 'Viewer:';
  CAP03    = 'C:\jsrch.euc';
  CAP04    = '..\jVIEWER\jVIEWER.EXE';
  CAP05    = 'User''s default';
  CAP06    = 'Program''s default';
  CAP07    = '&Add';
  CAP08    = '&Remove';
  CAP09    = '&Save CFG';
  CAP10    = '&Done';
  CAP11    = '&Cancel';
  CAP12    = 'Dictionaries';
  CAP13    = 'Configure';
  CAP14    = '&Main';
  CAP15    = '&Configure';
  CAP16    = 'Change &Input Mode';
  CAP17    = 'E&xit';
  CAP18    = 'Hira/Kata';
  CAP19    = 'ASCII';
  CAP20    = '&Help';
  CAP21    = '&About';
  CAP22    = 'Match';
  CAP23    = 'Free';
  CAP24    = 'Change &Search Mode';
  CAP25    = 'Search in: ';
  CAP26    = 'Search!';
  CAP27    = '&Search Now!';
  CAP28    = '&B';
  FIL00    = 'All files (*.*)|*.*';
  FIL01    = 'Executable files (*.EXE)|*.EXE';
  ABOUT    = TXT06 + VERS + #10 +
             '(c)1999 Pulsar Studio' + #10 +
             'Developed by Lord Trancos' + #10 + #10 +
             jGREETS + #10 + #10 +
             'This program is FREEWARE.  ' +
             'Full source code is available for free.';
  ASCIIMAX = 5;
  ASCIIBRK : array[1..ASCIIMAX] of char = ('/',' ','!','.','"');

type tDict = record
//               fn : string;  // dict. file name
               pd : pointer; // ptr -> dict
               sd : longint; // dict size
               pi : pointer; // ptr -> index
               si : longint; // index size
             end;

var
  Form1      : TForm1;
  Dicts      : array[1..MAXDICTS] of tDict;
  InputMode  : byte = 0; // Kana = 0, English = 1;
  SearchMode : byte = 0; // Match = 0, Free = 1;
  KanaStr    : string;
  SearchStr  : string;
  Words      : record
                 str   : array[1..MAXWORDS] of string[255];
                 count : word;
               end;
  CurrentCFG : record
                 dFN      : array[1..MAXDICTS] of string[255];
                 dDicts   : word;
                 dOutPut  : string[255];
                 dUser    : boolean;
                 dProgram : string[255];
               end;

implementation

{$R *.DFM}

// -------------------------------------------------------------------

procedure hHalt(_err: string);

begin
  Beep;
  ShowMessage(_err);
  Halt;
end;

// -------------------------------------------------------------------

procedure InitCaps;

begin
  Application.Title := TXT06;
  Form1.Caption := TXT06;

  Form1.Panel1.Top := 0;
  Form1.Panel1.Left := 0;
  Form1.Panel2.Top := 0;
  Form1.Panel2.Left := 0;

  Form1.Label3.Caption := CAP00;
  Form1.Label1.Caption := CAP01;
  Form1.Label2.Caption := CAP02;
  Form1.Label4.Caption := CAP25;
  Form1.Edit1.Text := CAP03;
  Form1.Edit2.Text := CAP04;
  Form1.RadioButton1.Caption := CAP05;
  Form1.RadioButton2.Caption := CAP06;
  Form1.Button1.Caption := CAP07;
  Form1.Button2.Caption := CAP08;
  Form1.Button3.Caption := CAP09;
  Form1.Button4.Caption := CAP10;
  Form1.Button5.Caption := CAP11;
  Form1.Button6.Caption := CAP26;
  Form1.Button7.Caption := CAP28;
  Form1.Panel5.Caption := CAP18;
  Form1.Panel6.Caption := CAP22;
  Form1.ListView1.Columns[0].Caption := CAP12;

  Form1.Menu1.Caption := CAP14;
  Form1.Menu2.Caption := CAP15;
  Form1.Menu3.Caption := CAP16;
  Form1.Menu4.Caption := CAP17;
  Form1.Menu5.Caption := CAP20;
  Form1.Menu6.Caption := CAP21;
  Form1.Menu7.Caption := CAP24;
  Form1.Menu8.Caption := CAP27;
end;

// -------------------------------------------------------------------

procedure ScrCenter;

begin
  Form1.Left := Screen.Width shr 1 - Form1.Width shr 1;
  Form1.Top := Screen.Height shr 1 - Form1.Height shr 1;
end;

// -------------------------------------------------------------------

procedure Menu(_mi: tMenuItem; _b: boolean);

begin
  _mi.Visible := _b;
  _mi.Enabled := _b;
end;

// -------------------------------------------------------------------

procedure Menus(_b: boolean);

begin
  Menu(Form1.Menu1, _b);
  Menu(Form1.Menu2, _b);
  Menu(Form1.Menu3, _b);
  Menu(Form1.Menu4, _b);
  Menu(Form1.Menu5, _b);
  Menu(Form1.Menu6, _b);
  Menu(Form1.Menu7, _b);
  Menu(Form1.Menu8, _b);
end;

// -------------------------------------------------------------------

function SetCFGData: boolean;

var _cnt : word;

begin
  SetCFGData := false;
  if Form1.ListView1.Items.Count = 0 then
    begin ShowMessage(TXT03); exit; end;
  if Form1.RadioButton1.Checked = false then
    if Form1.Edit2.Text = '' then
      begin ShowMessage(ERR05); exit; end else
        if Fileexists(Form1.Edit2.Text) = false then
          begin ShowMessage(ERR04 + Form1.Edit2.Text); exit; end;

  FillChar(CurrentCFG, sizeof(CurrentCFG), 0);
  CurrentCFG.dDicts   := Form1.ListView1.Items.Count;
  CurrentCFG.dOutPut  := Form1.Edit1.Text;
  CurrentCFG.dProgram := Form1.Edit2.Text;
  CurrentCFG.dUser    := Form1.RadioButton1.Checked;
  for _cnt := 1 to CurrentCFG.dDicts do
    begin
      CurrentCFG.dFN[_cnt] := Form1.ListView1.Items.Item[_cnt-1].Caption;
    end;
  SetCFGData := true;
end;

// -------------------------------------------------------------------

procedure GetCFGData;

var _cnt : word;
    _i   : tListItem;

begin
  Form1.ListView1.Items.Clear;
  Form1.Edit1.Text := CurrentCFG.dOutPut;
  Form1.Edit2.Text := CurrentCFG.dProgram;
  Form1.RadioButton1.Checked := CurrentCFG.dUser;
  Form1.RadioButton2.Checked := not CurrentCFG.dUser;
  for _cnt := 1 to CurrentCFG.dDicts do
    begin
      _i := Form1.ListView1.Items.Add;
      _i.Caption := CurrentCFG.dFN[_cnt];
    end;
end;

// -------------------------------------------------------------------

procedure SetCFGMode;

begin
  Form1.Visible := false;
  Menus(false);
  Form1.Panel1.Visible := true;
  Form1.Panel2.Visible := false;
  Form1.Width  := Form1.Panel1.Width + 9;
  Form1.Height := Form1.Panel1.Height + 28;
  ScrCenter;
  GetCFGData;
  Form1.Visible := true;
end;

// -------------------------------------------------------------------

procedure SetSRCMode;

begin
  Form1.Visible := false;
  Menus(true);
  Form1.Panel1.Visible := false;
  Form1.Panel2.Visible := true;
  Form1.Width  := Form1.Panel2.Width + 9;
  Form1.Height := Form1.Panel2.Height + 48;
  ScrCenter;
  Form1.Visible := true;
end;

// -------------------------------------------------------------------

function GetCFGFileName: string;

begin
  GetCFGFileName := ExtractFilePath(paramstr(0)) + DEFCFG;
end;

// -------------------------------------------------------------------

procedure SaveCFGFile;

var _f: file;

begin
  if fCreateBinFile(GetCFGFileName, _f) = false
    then hHalt(ERR00 + GetCFGFileName);
  BlockWrite(_f, CurrentCFG, sizeof(CurrentCFG));
  CloseFile(_f);
  ShowMessage(TXT04);
end;

// -------------------------------------------------------------------

procedure LoadCFGFile;

var _f: file;

begin
  if fOpenBinFile(GetCFGFileName, _f) = false
    then hHalt(ERR01 + GetCFGFileName);
  BlockRead(_f, CurrentCFG, sizeof(CurrentCFG));
  CloseFile(_f);
end;

// -------------------------------------------------------------------

procedure LoadDict(_fn: string; _idx: word);

var _f  : file;
    _in : string;

begin
  // load index
  _in := ExtractFilePath(paramstr(0)) + ExtractFileName(_fn) + INDEXT;
  if fOpenBinFile(_in, _f) = false then hHalt(ERR01 + _in);
  Dicts[_idx].si := FileSize(_f);
  GetMem(Dicts[_idx].pi, Dicts[_idx].si);
  BlockRead(_f, Dicts[_idx].pi^, Dicts[_idx].si);
  CloseFile(_f);

  // load dictionary
  if fOpenBinFile(_fn, _f) = false then hHalt(ERR01 + _fn);
  Dicts[_idx].sd := FileSize(_f);
  GetMem(Dicts[_idx].pd, Dicts[_idx].sd);
  BlockRead(_f, Dicts[_idx].pd^, Dicts[_idx].sd);
  CloseFile(_f);
end;

// -------------------------------------------------------------------

procedure UnLoadDict(_idx: word);

begin
  FreeMem(Dicts[_idx].pi, Dicts[_idx].si); // index
  FreeMem(Dicts[_idx].pd, Dicts[_idx].sd); // dictionary
end;

// -------------------------------------------------------------------

procedure LoadDicts;

var _cnt : word;

begin
  if CurrentCFG.dDicts = 0 then exit;
  Form1.ComboBox1.Items.Clear;
  for _cnt := 1 to CurrentCFG.dDicts do
    begin
      Form1.ComboBox1.Items.Add(ExtractFileName(CurrentCFG.dFN[_cnt]));
      Application.Title := TXT05 + CurrentCFG.dFN[_cnt];
      Form1.Caption := Application.Title;
      LoadDict(CurrentCFG.dFN[_cnt], _cnt);
    end;
  Form1.ComboBox1.ItemIndex := 0;
  Application.Title := TXT06;
  Form1.Caption := Application.Title;
end;

// -------------------------------------------------------------------

procedure UnLoadDicts;

var _cnt : word;

begin
  if CurrentCFG.dDicts = 0 then exit;
  for _cnt := 1 to CurrentCFG.dDicts do UnLoadDict(_cnt);
  CurrentCFG.dDicts := 0
end;

// -------------------------------------------------------------------

procedure TForm1.FormCreate(Sender: TObject);

begin
  // Init Captions
  InitCaps;

  // Init Nihongo Engine
  if jInitialize = false then hHalt(ERR02);

  // Check CFG file
  if fileexists(GetCFGFileName) = false then
    begin
      ShowMessage('[' + GetCFGFileName + ']' + #10 + TXT00);
      SetCFGMode;
    end else begin
               LoadCFGFile;
               GetCFGData;
               LoadDicts;
               SetSRCMode;
             end;
end;

// -------------------------------------------------------------------

procedure TForm1.FormDestroy(Sender: TObject);

begin
  UnLoadDicts;
  jClose;
end;

// -------------------------------------------------------------------

procedure TForm1.Button1Click(Sender: TObject);

// add dictionary

var _i : tListItem;

begin
  OpenDialog1.Filter := FIL00;
  if ListView1.Items.Count >= MAXDICTS
    then ShowMessage(TXT01) else
      if OpenDialog1.Execute = true then
        begin
          _i := ListView1.Items.Add;
          _i.Caption := OpenDialog1.Filename;
        end;
end;

// -------------------------------------------------------------------

procedure TForm1.Button2Click(Sender: TObject);

// remove dictionary

var _i: tListItem;

begin
  _i := ListView1.Selected;
  if _i <> NIL
    then ListView1.Items.Delete(_i.Index)
      else ShowMessage(TXT02);
end;

// -------------------------------------------------------------------

procedure TForm1.Button3Click(Sender: TObject);

// Save CFG

begin
  UnLoadDicts;
  if SetCFGData = true then
    begin
      SaveCFGFile;
      SetSRCMode;
      LoadDicts;
    end;
end;

// -------------------------------------------------------------------

procedure TForm1.Button4Click(Sender: TObject);

// Set config.

begin
  UnLoadDicts;
  if SetCFGData = true then
    begin
      SetSRCMode;
      LoadDicts;
    end;
end;

// -------------------------------------------------------------------

procedure TForm1.Button5Click(Sender: TObject);

// Config cancel

begin
  SetSRCMode;
end;

// -------------------------------------------------------------------

procedure WriteJapanese(_src: string; _dst: tPaintBox);

var _x: longint;

begin
  _x := length(_src) shl 3;
  if _x > _dst.Width then _x := _dst.Width - _x else _x := 0;

  _dst.Canvas.Pen.Color := clWhite;
  _dst.Canvas.Brush.Color := clWhite;
  jWrite(_x, 1, 16, 16, _src, jEUC, false, true, false,
         _dst.Canvas.Handle);

  if _x = 0 then Rectangle(_dst.Canvas.Handle, length(_src) shl 3, 0,
                           _dst.Width, _dst.Height);
end;

// -------------------------------------------------------------------
  (*
procedure DrawKana;

// var _x: longint;

begin


  _x := length(KanaStr) shl 3;
  if _x > Form1.PaintBox1.Width
    then _x := Form1.PaintBox1.Width - _x
      else _x := 0;

  Form1.PaintBox1.Canvas.Pen.Color := clWhite;
  Form1.PaintBox1.Canvas.Brush.Color := clWhite;
  jWrite(_x, 1, 16, 16, KanaStr, jEUC, false, true, false,
         Form1.PaintBox1.Canvas.Handle);
  if _x = 0 then Rectangle(Form1.PaintBox1.Canvas.Handle,
                           length(KanaStr) shl 3, 0,
                           Form1.PaintBox1.Width,
                           Form1.PaintBox1.Height);
end;
    *)
// -------------------------------------------------------------------

procedure TForm1.Edit3Change(Sender: TObject);

begin
  if InputMode = 0 then
    begin
      KanaStr := jGetEUCKana(Edit3.Text);
      WriteJapanese(KanaStr, Form1.PaintBox1);
    end else KanaStr := '';
end;

// -------------------------------------------------------------------

procedure TForm1.PaintBox1Paint(Sender: TObject);

begin
  if InputMode = 0 then WriteJapanese(KanaStr, Form1.PaintBox1);
end;

// -------------------------------------------------------------------

procedure TForm1.PaintBox2Paint(Sender: TObject);

begin
  WriteJapanese(SearchStr, Form1.PaintBox2);
end;

// -------------------------------------------------------------------
(*
procedure ShowMess2(_str: string);

begin
  Form1.Edit3.Enabled := false;
  ShowMessage(_str);
  Form1.Edit3.Enabled := true;
end;
 *)
// -------------------------------------------------------------------

procedure SaveSTR(var _f: file; _str: string);

begin
  _str := _str + #10;
  BlockWrite(_f, _str[1], length(_str));
end;

// -------------------------------------------------------------------

procedure GetWords;

var _cnt, _idx : word;

begin
  FillChar(Words, sizeof(Words), 0);
  _cnt := 0;
  _idx := 1;

  Words.str[1] := UpperCase(SearchSTR);

  {
  repeat
    inc(_cnt);
    if SearchSTR[_cnt] <> #32
      then Words.str[_idx] := Words.str[_idx] + UpCase(SearchSTR[_cnt])
        else inc(_idx);
  until _cnt = length(SearchSTR); }
  Words.count := _idx;
end;

// -------------------------------------------------------------------

function ASCIIMatch(_chr: char): boolean;

var _r: boolean;
    _c: word;

begin
  _r := false;
  for _c := 1 to ASCIIMAX do
    if _chr = ASCIIBRK[_c] then
      begin
        _r := true;
        break;
      end;
  ASCIIMatch := _r;
end;

// -------------------------------------------------------------------

procedure SearchIn(var _f: file; _idx: word);

type tPos = record
              v1, v2 : byte;
              ln : word;
            end;

var _pd, _pi : pointer;
    _sd, _si : longint;
    _pos     : ^tPos;
    _s       : string;
    _ss      : string;
    _cnt     : word;
    _strpos  : integer;

begin
  _si := 0;
  _pos := Dicts[_idx].pi;
  _pd  := Dicts[_idx].pd;
  while _si <> Dicts[_idx].si do
    begin
      SetLength(_s, _pos^.ln);
      Move(_pd^, _s[1], _pos^.ln);
      inc(longint(_pd), _pos^.ln + 1);
      inc(longint(_pos), 4);
      inc(_si, 4);

      _ss := UpperCase(_s);
      for _cnt := 1 to Words.Count do
        begin
          _strpos := Pos(Words.str[_cnt], _ss);
          if _strpos <> 0 then
            if SearchMode <> 0 then // Free Mode
              begin
                SaveSTR(_f, _s);
                Break;
              end else if byte(Words.str[_cnt][1]) > 160 then // First (Kana/Kanji)
                         begin
                           if (_strpos = 1) then
                             begin
                               if (_s[_strpos+length(Words.str[_cnt])] = ' ') then
                                 begin
                                   SaveSTR(_f, _s);
                                   Break;
                                 end;
                             end else if _pos^.v2 <> 0 then
                                        if (_s[_strpos - 1] = '[') // 2nd (hiragana)
                                          and (_s[_strpos+length(Words.str[_cnt])] = ']') then
                                            begin
                                              SaveSTR(_f, _s);
                                              Break;
                                            end;
                         end else if (ASCIIMatch(_s[_strpos - 1]) = true) // ASCII
                                    and (ASCIIMatch(_s[_strpos+length(Words.str[_cnt])]) = true) then
                                      begin
                                        SaveSTR(_f, _s);
                                        Break;
                                      end;
        end;
    end;
end;

// -------------------------------------------------------------------

procedure DoTheSearch;

var _c1 : longint;
    _f  : file;
    _fn : string;
    _pr : string;

begin
  if (SearchStr = '') then begin ShowMessage(TXT07); exit; end;

  if CurrentCFG.dDicts = 0 then begin ShowMessage(TXT08); exit; end;
  if CurrentCFG.dOutPut = '' then begin ShowMessage(ERR03); exit; end;
  if (CurrentCFG.dUser = false) then
    if CurrentCFG.dProgram = '' then
      begin ShowMessage(ERR05); exit; end else
        if Fileexists(CurrentCFG.dProgram) = false then
          begin ShowMessage(ERR04 + CurrentCFG.dProgram); exit; end;
  if fCreateBinFile(CurrentCFG.dOutPut, _f) = false then
    begin ShowMessage(TXT09 + CurrentCFG.dOutPut); exit; end;

//  for _c1 := 1 to CurrentCFG.dDicts do
//    begin
      _c1 := Form1.ComboBox1.ItemIndex + 1;
      GetWords;
      Form1.Caption := TXT13 + CurrentCFG.dFN[_c1];
      SaveSTR(_f, TXT10 + Form1.Panel6.Caption + TXT14 + SearchSTR +
              TXT12 + IntToStr(Words.count) + TXT11 +
              CurrentCFG.dFN[_c1] + #10);
      SearchIn(_f, _c1);
      SaveSTR(_f, #10);
//    end;
  CloseFile(_f);

  _fn := CurrentCFG.dOutPut + #0;
  _pr := CurrentCFG.dProgram + #0;
  if CurrentCFG.dUser = true
    then ShellExecute(Form1.Handle, NIL, @_fn[1], NIL, NIL, SW_SHOW)
      else ShellExecute(Form1.Handle, NIL, @_pr[1], @_fn[1], NIL, SW_SHOW);

//  SearchSTR := '';
  WriteJapanese(SearchStr, Form1.PaintBox2);
  Form1.Edit3.SetFocus;
  Form1.Caption := TXT06;
end;

// -------------------------------------------------------------------

procedure TForm1.Edit3KeyUp(Sender: TObject; var Key: Word;
                            Shift: TShiftState);

begin
  if Key = 13 then
    if Edit3.Text <> '' then
      begin
        if InputMode = 0
          then SearchStr := SearchStr + KanaStr
            else SearchStr := SearchStr + Edit3.Text;
        KanaStr := '';
        Edit3.Text := '';
        WriteJapanese(SearchStr, Form1.PaintBox2);
      end; // else if SearchStr <> '' then Button6.SetFocus else Edit3.SetFocus;
end;

// -------------------------------------------------------------------

procedure TForm1.Edit3KeyPress(Sender: TObject; var Key: Char);

var _ln: word;

begin
  if length(Edit3.Text) <> 0 then exit;

  _ln := length(SearchStr);
  if Key = #8 then
    begin
      if _ln = 0 then exit else
        if _ln = 1 then SearchStr := '' else
          if (byte(SearchStr[_ln - 1]) > 160)
            and (byte(SearchStr[_ln]) > 160)
              then SetLength(SearchStr, _ln - 2)
                else SetLength(SearchStr, _ln - 1);
      WriteJapanese(SearchStr, Form1.PaintBox2);
    end;
end;

// -------------------------------------------------------------------

procedure ChangeInputMode;

begin
  if InputMode = 0 then
    begin
      KanaStr := '';
      Form1.Edit3.Text := '';
      InputMode := 1;
      Form1.Panel5.Caption := CAP19;
    end else begin
               KanaStr := '';
               Form1.Edit3.Text := '';
               InputMode := 0;
               Form1.Panel5.Caption := CAP18;
             end;
end;

// -------------------------------------------------------------------

procedure ChangeSearchMode;

begin
  if SearchMode = 0 then
    begin
      SearchMode := 1;
      Form1.Panel6.Caption := CAP23;
    end else begin
               SearchMode := 0;
               Form1.Panel6.Caption := CAP22;
             end;
end;

// -------------------------------------------------------------------

procedure TForm1.Menu2Click(Sender: TObject);

begin
  SetCFGMode;
end;

// -------------------------------------------------------------------

procedure TForm1.Menu3Click(Sender: TObject);

begin
  ChangeInputMode;
end;

// -------------------------------------------------------------------

procedure TForm1.Panel5Click(Sender: TObject);

begin
  ChangeInputMode;
end;

// -------------------------------------------------------------------

procedure TForm1.Menu7Click(Sender: TObject);

begin
  ChangeSearchMode;
end;

// -------------------------------------------------------------------

procedure TForm1.Panel6Click(Sender: TObject);

begin
  ChangeSearchMode;
end;

// -------------------------------------------------------------------

procedure TForm1.Menu4Click(Sender: TObject);

begin
  Application.Terminate;
end;

// -------------------------------------------------------------------

procedure TForm1.Menu6Click(Sender: TObject);

begin
  ShowMessage(ABOUT);
end;

// -------------------------------------------------------------------

procedure TForm1.Button6Click(Sender: TObject);

begin
  DoTheSearch
end;

// -------------------------------------------------------------------

procedure TForm1.Menu8Click(Sender: TObject);

begin
  DoTheSearch
end;

// -------------------------------------------------------------------

procedure TForm1.Button7Click(Sender: TObject);

begin
  OpenDialog1.Filter := FIL01;
  if OpenDialog1.Execute = true
    then Edit2.Text := OpenDialog1.Filename;
end;

// -------------------------------------------------------------------

end.
